org.keycloak.services.resources.flows

## Class OAuthRedirect

- java.lang.Object
- - org.keycloak.AbstractOAuthClient
  - - org.keycloak.services.resources.flows.OAuthRedirect

-     public class OAuthRedirect
      extends AbstractOAuthClient

  Helper code to obtain oauth access tokens via browser redirects
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

    - ### Fields inherited from class org.keycloak.AbstractOAuthClient

      `authUrl, clientId, codeUrl, credentials, isSecure, publicClient, refreshUrl, relativeUrlsUsed, scope, stateCookieName, stateCookiePath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthRedirect()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkStateCookie(javax.ws.rs.core.UriInfo uriInfo, javax.ws.rs.core.HttpHeaders headers)`
    `String` | `getAccessCode(javax.ws.rs.core.UriInfo uriInfo)`
    `String` | `getError(javax.ws.rs.core.UriInfo uriInfo)`
    `String` | `getStateCookiePath(javax.ws.rs.core.UriInfo uriInfo)`
    `javax.ws.rs.core.Response` | `redirect(javax.ws.rs.core.UriInfo uriInfo, String redirectUri)`
    `void` | `stop()` closes client

    - ### Methods inherited from class org.keycloak.AbstractOAuthClient

      `getAuthUrl, getClientId, getCodeUrl, getCredentials, getRefreshUrl, getRelativeUrlsUsed, getScope, getStateCode, getStateCookieName, getStateCookiePath, isPublicClient, setAuthUrl, setClientId, setCodeUrl, setCredentials, setPublicClient, setRefreshUrl, setRelativeUrlsUsed, setScope, setStateCookieName, setStateCookiePath, stripOauthParametersFromRedirect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### OAuthRedirect

          public OAuthRedirect()

  - ### Method Detail

    - #### stop

          public void stop()

      closes client

    - #### redirect

          public javax.ws.rs.core.Response redirect(javax.ws.rs.core.UriInfo uriInfo,
                                           String redirectUri)

    - #### getStateCookiePath

          public String getStateCookiePath(javax.ws.rs.core.UriInfo uriInfo)

    - #### getError

          public String getError(javax.ws.rs.core.UriInfo uriInfo)

    - #### getAccessCode

          public String getAccessCode(javax.ws.rs.core.UriInfo uriInfo)

    - #### checkStateCookie

          public void checkStateCookie(javax.ws.rs.core.UriInfo uriInfo,
                              javax.ws.rs.core.HttpHeaders headers)

Copyright © 2015. All Rights Reserved.